Name: sidplay-base
Summary: A Commodore 64 music player and SID chip emulator.
Version: 1.0.8
Release: 1
Source: %{name}-%{version}.tgz
Icon: sidplay.xpm
Copyright: GPL
Group: Applications/Multimedia
URL: http://www.geocities.com/SiliconValley/Lakes/5147/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libsidplay-devel
Prefix: %{_prefix}

%description
SIDPLAY is basically a music player. It emulates the Sound Interface
Device (SID) chip and the microprocessor unit of the Commodore 64
computer, so it can load and execute C64 machine code programs which
produce music or sound. Normally these are short pieces of code
pulled out of Commodore games or demonstration programs. Using
SIDPLAY, you can listen to thousands of old and new C64 sound files
by infamous artists such as Hubbard and Paul Norman! In emulation,
their music lives on...

%prep
rm -rf %{buildroot}

%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install
strip %{buildroot}%{_bindir}/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
#%doc COPYING POINTER
%{_bindir}/*

%changelog
* Mon Mar 11 2002 Michael Schwendt <sidplay@geocities.com>
- Merge sidplay option -t patch.
- Fix big-endian bug in sid2wav. (Axel Wefers)

* Tue Feb 19 2002 Michael Schwendt <sidplay@geocities.com>
- Include <string.h> for compatibility with libsidplay-1.36.51
  compiled with old non-standard <strstream.h>.

* Fri Dec 28 2001 Michael Schwendt <sidplay@geocities.com>
- Don't use non-standard strnicmp anymore.

* Mon Nov 19 2001 Michael Schwendt <sidplay@geocities.com>
- Made compatible with libstdc++3 and GCC3.
- Rebuilt on Red Hat Linux 7.2.

* Thu May 03 2001 Michael Schwendt <sidplay@geocities.com>
- Rebuilt on Red Hat Linux 7.1.

* Wed May 03 2000 Michael Schwendt <sidplay@geocities.com>
- Replaced GIF with XPM.
- Dropped BUGS file.

* Sat Apr 15 2000 Michael Schwendt <sidplay@geocities.com>
- Initial RPM build of automake converted package.

